framework:
    messenger:
        # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
        # failure_transport: failed

        transports:
            # https://symfony.com/doc/current/messenger.html#transport-configuration
            # async: '%env(MESSENGER_TRANSPORT_DSN)%'
            # failed: 'doctrine://default?queue_name=failed'
            # sync: 'sync://'
            amqp: '%env(MESSENGER_TRANSPORT_DNS)%'

        routing:
            'App\Infrastructure\Email\RecoverPasswordMailMessage': amqp
            # Route your messages to the transports
            # 'App\Message\YourMessage': async
